sensors::NumericSensor_4_0_3::Reading Struct Reference

Numeric sensor reading. More...

`import"NumericSensor.idl";`

## Classes

struct | Status
| Numeric sensor status. More...

## Public Attributes

time | timestamp
| Timestamp of last sample.
boolean | available
| `true` if the sensor is available
Status | status
| Numeric sensor status.
boolean | valid
| `true` if the sensor reading is valid
double | value
| Numeric sensor reading.

## Detailed Description

Numeric sensor reading.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/NumericSensor.idl